#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD7,0xAB,0x90,0x92,0x6E,0x04,0x92,0x27,0xC2,0x4D,0x8C,0x96,
		0x99,0x51,0x5B,0xC7,0xF3,0xEF,0x3B,0x5D,0xA6,0x48,0x21,0x7C,
		0x75,0x21,0xAE,0xB6,0x53,0x5D,0x29,0xC2,0x68,0x45,0xC4,0x98,
		0xD5,0xB7,0x77,0x7E,0x7C,0x3A,0xC9,0xA5,0x4A,0x0E,0x90,0x8D,
		0xA5,0xD4,0xB5,0xBF,0x1E,0xD1,0xBE,0x94,0x8D,0x65,0xBA,0x67,
		0x55,0xDE,0xFD,0xA3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
